Package org.eclipse.cdt.utils.debug

# Class DebugDerivedType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType
org.eclipse.cdt.utils.debug.DebugDerivedType

Direct Known Subclasses:
  `DebugArrayType`, `DebugCrossRefType`, `DebugPointerType`, `DebugReferenceType`

public abstract class DebugDerivedType extends DebugType
DebugDerivedType

## Constructor Summary

Constructors
Constructor
Description
`DebugDerivedType(DebugType type)`

## Method Summary

Modifier and Type
Method
Description
`DebugType`
`getComponentType()`
`void`
`setComponentType(DebugType type)`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugDerivedType

public DebugDerivedType(DebugType type)

## Method Details

### getComponentType

public DebugType getComponentType()

### setComponentType

public void setComponentType(DebugType type)